Subject: Re: bug#78917: feature/igc [PATCH] Avoid chaining finalizers together

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Jun 2025 10:24:38 +0300

> From: Helmut Eller <[email-masked]>
> Date: Sat, 28 Jun 2025 06:42:45 +0200
> 
> Lisp_Finalizers are currently chained together in a doubly linked list.
> This prevents them from being collected.  I propose that we simply don't
> use this list with MPS.
> 
> The first patch is minimalistic: it only skips finalizer_insert when
> creating finalizers.
> 
> The second patch is more thorough: it #ifdefs away the prev/next fields
> entirely.

Thanks.

Daniel, could you please tell what was the intended purpose of
chaining the finalizers?